# ApiHBaseReplicationUpdatePeerStateArgs Data Model

Replication arguments for HBase service enabled/disabled peer update

Properties
name | data type | description
--- | --- | ---
sourceRef | ApiServiceRef |
peerState | HBasePeerState |

Example

    {
      "sourceRef" : {
        "peerName" : "...",
        "clusterName" : "...",
        "clusterDisplayName" : "...",
        "serviceName" : "...",
        "serviceDisplayName" : "...",
        "serviceType" : "..."
      },
      "peerState" : "ENABLED"
    }